Package: org.gmetrics.metricset

## [Groovy] Class TopLevelDelegate

- org.gmetrics.metricset.TopLevelDelegate

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `description(String description)`
    `` | `protected MetricSet` | `getMetricSet()`
    `` | `Metric` | `methodMissing(String name, def args)`
    `` | `Metric` | `metric(Class metricClass)`
    `` | `Metric` | `metric(Class metricClass, Map properties)`
    `` | `Metric` | `metric(Class metricClass, groovy.lang.Closure closure)`
    `` | `void` | `metricset(String path)`
    `` | `void` | `metricset(String path, groovy.lang.Closure closure)`
    `` | `Metric` | `propertyMissing(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### @SuppressWarnings(['EmptyMethod', 'UnusedMethodParameter']) void description(String description)

    - #### protected MetricSet getMetricSet()

    - #### Metric methodMissing(String name, def args)

    - #### Metric metric(Class metricClass)

    - #### Metric metric(Class metricClass, Map properties)

    - #### Metric metric(Class metricClass, groovy.lang.Closure closure)

    - #### void metricset(String path)

    - #### void metricset(String path, groovy.lang.Closure closure)

    - #### Metric propertyMissing(String name)